#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Download 360 background images from Google Drive.

These images are used in preparing videos for backends OTHER THAN ray-tracing, i.e. where no mesh object exists to
provide the "actual" background image. These image files are also used in SELDVisualSynth.
"""

import argparse
from pathlib import Path

import gdown

from audiblelight.utils import get_project_root


GDRIVE_FOLDER = "https://drive.google.com/drive/u/0/folders/1TJNLzU3QpCZAXWk2mU7-MS7RjcBeP-Lf"
DEFAULT_PATH = get_project_root() / "resources/bg_images"
# no cleanup as files downloaded directly


def main(path: Path = DEFAULT_PATH):
    pass


if __name__ == "__main__":
    parser = argparse.ArgumentParser(description=__doc__)
    parser.add_argument(
        "--path",
        default=DEFAULT_PATH,
        help=f"Path to store and process the dataset, defaults to {DEFAULT_PATH}",
    )
    args = vars(parser.parse_args())
    main(**args)
